
 LinHES - Bug # 458: Perl broken, cannot build missing modules to support MythWeather

Status: Closed Priority: Normal
Author: UniCav Category:
Created: 07/28/2009 Assignee: cecil
Updated: 12/25/2011 Due date: 12/31/1969
Description: I've been trying to solve why no maps are available in MythWeather.  The only screens available are the 

text-only forecasts.
It appears to be caused by Image::Size missing.

perl maps.pl
Can't locate Image/Size.pm in @INC

Trying to add Image::Size begins a never-ending loop of failures in cpan.  Any attempt to build a package 
results in a make failure.  Always seen is the error that YAML is missing.  Attempting to install it causes 
another failure.  Test is missing.  Build-Essentials seems to be missing and I finally gave up trying to follow the 
chain because of the continued stream of failures and nothing would build.

I tested using pacman to install build-essentials but nothing came up.  A whole list of packages did come up 
for upgrades and I let it go through them.  It downloaded 120mb of packages and then failed because 
timezone.bin existed in the filesystem.  I had to 

 mv /usr/MythVantage/bin/timezone.bin /usr/MythVantage/bin/timezone.bin.old

in order to get the updates to install.  None of the updates solved the perl problem of course.
I got another error during the update process but it didn't seem to cause any problems:

g_module_open() failed for /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so: libjpeg.so.62: cannot open 
shared object file: No such file or directory

I've attached a file with clips of some of the perl failures

History
08/02/2009 12:26 pm - cecil
pacman -S perl-image-size
Please let me know if this resolves the issue for you and I'll ensure it gets installed.

08/03/2009 09:30 pm - UniCav
That fixed it Cecil, good call.

12/25/2011 03:10 pm - jams
- Target version changed from 8.0 to 6.00.04
perlerrors.txt 1.6 kB 07/28/2009 admin
